[BETA] Get all justified absences

Retrieves a list of justified absences with optional filtering parameters:

  • Filter by date range (start and end)
  • Filter by creation date (lower bound)
  • Filter by course ID
  • Filter by student ID
  • Filter by absence type

Results are sorted by sortBy (start or createdAt, default createdAt) in sortOrder (asc or desc,
default desc), and paginated with 100 justified absences per page by default.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
number
Defaults to 1

Page number for pagination (min: 1)

number
Defaults to 100

Number of items per page (max: 100)

string

Start date for filtering absences (YYYY-MM-DD)

string

End date for filtering absences (YYYY-MM-DD)

string

Lower bound, ISO 8601 date-time: only the justified absences created at or after this instant. A value without an offset is read as UTC.

string
enum

Field to sort on. Defaults to createdAt.

Allowed:
string
enum

asc or desc, defaults to desc. The values start and createdAt are deprecated aliases of sortBy.

Allowed:
string

Filter by course ID

string

Filter by student ID

number

Filter by absence type

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json